| Flutter Impeller |

Public Member Functions | List of all members
impeller::GlyphAtlasContextSTB Class Reference

`#include <glyph_atlas_context_stb.h>`

Inheritance diagram for impeller::GlyphAtlasContextSTB:

## Public Member Functions
| GlyphAtlasContextSTB (GlyphAtlas::Type type)
| ~GlyphAtlasContextSTB () override
std::shared_ptr< BitmapSTB > | GetBitmap () const
| Retrieve the previous (if any) BitmapSTB instance. More...
void | UpdateBitmap (std::shared_ptr< BitmapSTB > bitmap)
Public Member Functions inherited from impeller::GlyphAtlasContext
| GlyphAtlasContext (GlyphAtlas::Type type)
virtual | ~GlyphAtlasContext ()
std::shared_ptr< GlyphAtlas > | GetGlyphAtlas () const
| Retrieve the current glyph atlas. More...
const ISize & | GetAtlasSize () const
| Retrieve the size of the current glyph atlas. More...
std::shared_ptr< RectanglePacker > | GetRectPacker () const
| Retrieve the previous (if any) rect packer. More...
int64_t | GetHeightAdjustment () const
| A y-coordinate shift that must be applied to glyphs appended to the atlas. More...
void | UpdateGlyphAtlas (std::shared_ptr< GlyphAtlas > atlas, ISize size, int64_t height_adjustment_)
| Update the context with a newly constructed glyph atlas. More...
void | UpdateRectPacker (std::shared_ptr< RectanglePacker > rect_packer)

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< GlyphAtlasContextSTB, GlyphAtlasContext >
static GlyphAtlasContextSTB & | Cast (GlyphAtlasContext &base)
static const GlyphAtlasContextSTB & | Cast (const GlyphAtlasContext &base)
static GlyphAtlasContextSTB * | Cast (GlyphAtlasContext *base)
static const GlyphAtlasContextSTB * | Cast (const GlyphAtlasContext *base)

## Detailed Description

Definition at line 40 of file glyph_atlas_context_stb.h.

## Constructor & Destructor Documentation

## ◆ GlyphAtlasContextSTB()

impeller::GlyphAtlasContextSTB::GlyphAtlasContextSTB | ( | GlyphAtlas::Type | type | ) |
| explicit

Definition at line 46 of file glyph_atlas_context_stb.cc.

47 : GlyphAtlasContext(type) {}

## ◆ ~GlyphAtlasContextSTB()

impeller::GlyphAtlasContextSTB::~GlyphAtlasContextSTB | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ GetBitmap()

std::shared_ptr< BitmapSTB > impeller::GlyphAtlasContextSTB::GetBitmap | ( |  | ) | const

Retrieve the previous (if any) BitmapSTB instance.

Definition at line 51 of file glyph_atlas_context_stb.cc.

51 {
52 return bitmap_;
53 }

## ◆ UpdateBitmap()

void impeller::GlyphAtlasContextSTB::UpdateBitmap | ( | std::shared_ptr< BitmapSTB > | bitmap | ) |

Definition at line 55 of file glyph_atlas_context_stb.cc.

55 {
56 bitmap_ = std::move(bitmap);
57 }

The documentation for this class was generated from the following files:

- impeller/typographer/backends/stb/glyph_atlas_context_stb.h
- impeller/typographer/backends/stb/glyph_atlas_context_stb.cc

type
GLenum type
Definition: blit_command_gles.cc:127
impeller::GlyphAtlasContext::GlyphAtlasContext
GlyphAtlasContext(GlyphAtlas::Type type)
Definition: glyph_atlas.cc:12